function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = bgg_rbc.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(13, 22);
g1(1,1)=getPowerDeriv(y(1),params(4),1)-(1+y(11))*params(2)*T(8);
g1(1,7)=(-1);
g1(1,8)=(-1);
g1(1,10)=(-(y(1)*(1+y(11))*params(2)*T(22)));
g1(1,11)=(-(y(1)*params(2)*T(8)));
g1(1,4)=(-(y(1)*(1+y(11))*params(2)*T(21)*((y(4)*y(4)-T(1))/(y(4)*y(4))-1)));
g1(2,1)=(-(1-params(5)));
g1(2,6)=1;
g1(2,7)=(-1);
g1(3,8)=(-((1+y(9))*params(6)*(-y(19))/(y(8)*y(8))*T(19)));
g1(3,19)=(-((1+y(9))*params(6)*T(19)*1/y(8)));
g1(3,9)=(-T(5));
g1(4,9)=(-((T(16)*T(13)*(-(1+y(21)))/((1+y(9))*(1+y(9)))-T(14)*(-(T(15)*(-(1+y(21)))/((1+y(9))*(1+y(9))))))/(T(16)*T(16))));
g1(4,20)=((1-T(10))*T(26)-T(9)*(-T(29)))/((1-T(10))*(1-T(10)))-(T(16)*T(6)*(T(26)-(params(2)*T(12)+y(20)*params(2)*(y(20)*T(11)*T(4)*(-T(24))-T(11))/(y(20)*y(20))/y(13)))-T(14)*(-(T(6)*(T(29)-params(2)*T(28)))))/(T(16)*T(16));
g1(4,21)=(-((T(16)*T(13)*1/(1+y(9))-T(14)*(-(T(15)*1/(1+y(9)))))/(T(16)*T(16))));
g1(4,13)=((1-T(10))*T(32)-T(9)*(-(T(27)*(T(31)-1)+y(20)*T(32))))/((1-T(10))*(1-T(10)))-(T(16)*T(6)*(T(32)-y(20)*params(2)*(y(13)*T(11)*T(4)*(-T(31))/y(20)-T(11)/y(20))/(y(13)*y(13)))-T(14)*(-(T(6)*(T(27)*(T(31)-1)+y(20)*T(32)-params(2)*T(27)*(T(31)-1)))))/(T(16)*T(16));
g1(5,1)=(-(params(4)*getPowerDeriv(y(1),params(4)-1,1)));
g1(5,11)=1;
g1(6,1)=T(18);
g1(6,2)=y(1)*(-(T(17)*(-(1+y(11)))/((1+y(2))*(1+y(2)))));
g1(6,10)=y(1)*(-(T(7)*(T(22)+1-normcdf(T(2),0,1)+y(10)*(-(T(20)*T(23)))-params(2)*T(22))));
g1(6,11)=y(1)*(-(T(17)*1/(1+y(2))));
g1(6,3)=(-1);
g1(6,4)=y(1)*(-(T(7)*(T(30)-params(2)*T(21)*((y(4)*y(4)-T(1))/(y(4)*y(4))-1))));
g1(7,1)=(-((1+y(11))*params(3)*(1-(T(8)+y(10)*(1-normcdf(T(2),0,1))))));
g1(7,10)=(-(y(1)*(1+y(11))*params(3)*(-(T(22)+1-normcdf(T(2),0,1)+y(10)*(-(T(20)*T(23)))))));
g1(7,11)=(-(y(1)*params(3)*(1-(T(8)+y(10)*(1-normcdf(T(2),0,1))))));
g1(7,12)=1;
g1(7,4)=(-(y(1)*(1+y(11))*params(3)*(-T(30))));
g1(8,6)=(-1);
g1(8,12)=1;
g1(8,15)=1;
g1(9,1)=(-(y(10)*T(7)*1/y(5)));
g1(9,2)=(-(y(10)*y(1)/y(5)*(-(1+y(11)))/((1+y(2))*(1+y(2)))));
g1(9,10)=(-(T(7)*y(1)/y(5)));
g1(9,11)=(-(y(10)*y(1)/y(5)*1/(1+y(2))));
g1(9,14)=1;
g1(9,5)=(-(y(10)*T(7)*(-y(1))/(y(5)*y(5))));
g1(10,4)=(-(params(7)*1/params(1)/(y(4)/params(1))));
g1(10,13)=1/params(1)/(y(13)/params(1));
g1(10,22)=(-1);
g1(11,7)=(-1);
g1(11,8)=(-1);
g1(11,17)=1;
g1(12,9)=1/(1+y(21));
g1(12,21)=(-(1+y(9)))/((1+y(21))*(1+y(21)));
g1(12,18)=1;
g1(13,10)=(-(T(20)*T(23)));
g1(13,4)=(-(T(23)*(y(4)*y(4)-T(1))/(y(4)*y(4))));
g1(13,16)=1;

end
