function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 32);

T = bgg_rbc.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(19) = getPowerDeriv(y(19)/y(8),(-params(8)),1);
T(20) = 1/y(10)/y(4);
T(21) = exp((-((T(2)-y(4))*(T(2)-y(4))))/2)/2.506628274631;
T(22) = T(20)*T(21);
T(23) = exp((-(T(2)*T(2)))/2)/2.506628274631;
T(24) = 1/y(20)/y(13);
T(25) = exp((-(T(4)*T(4)))/2)/2.506628274631;
T(26) = (-(T(24)*T(25)));
T(27) = exp((-((T(4)-y(13))*(T(4)-y(13))))/2)/2.506628274631;
T(28) = T(24)*T(27);
T(29) = T(28)+T(9)+y(20)*T(26);
T(30) = T(21)*((y(4)*y(4)-T(1))/(y(4)*y(4))-1)+y(10)*(-(T(23)*(y(4)*y(4)-T(1))/(y(4)*y(4))));
T(31) = (y(13)*y(13)-T(3))/(y(13)*y(13));
T(32) = (-(T(25)*T(31)));

end
