function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = bgg_rbc.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(13, 1);
lhs = y(1)^params(4);
rhs = y(8)+y(7)+y(1)*(1+y(11))*params(2)*T(8);
residual(1) = lhs - rhs;
lhs = y(6);
rhs = y(7)+y(1)*(1-params(5));
residual(2) = lhs - rhs;
lhs = 1;
rhs = T(5)*(1+y(9));
residual(3) = lhs - rhs;
residual(4) = T(9)/(1-T(10))-T(14)/T(16);
lhs = 1+y(11);
rhs = 1+params(4)*y(1)^(params(4)-1)-params(5);
residual(5) = lhs - rhs;
residual(6) = y(1)*T(18)-y(3);
lhs = y(12);
rhs = y(1)*(1+y(11))*params(3)*(1-(T(8)+y(10)*(1-normcdf(T(2),0,1))));
residual(7) = lhs - rhs;
lhs = y(15);
rhs = y(6)-y(12);
residual(8) = lhs - rhs;
lhs = y(14);
rhs = y(10)*T(7)*y(1)/y(5);
residual(9) = lhs - rhs;
lhs = log(y(13)/params(1));
rhs = params(7)*log(y(4)/params(1))+x(it_, 1);
residual(10) = lhs - rhs;
lhs = y(17);
rhs = y(8)+y(7);
residual(11) = lhs - rhs;
lhs = y(18);
rhs = 1-(1+y(9))/(1+y(21));
residual(12) = lhs - rhs;
lhs = y(16);
rhs = normcdf(T(2),0,1);
residual(13) = lhs - rhs;

end
