function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 18);

T(1) = log(y(10))+y(4)^2/2;
T(2) = T(1)/y(4);
T(3) = log(y(20))+y(13)^2/2;
T(4) = T(3)/y(13);
T(5) = params(6)*(y(19)/y(8))^(-params(8));
T(6) = (1+y(21))/(1+y(9));
T(7) = (1+y(11))/(1+y(2));
T(8) = normcdf(T(2)-y(4),0,1);
T(9) = 1-normcdf(T(4),0,1);
T(10) = normcdf(T(4)-y(13),0,1)+y(20)*T(9);
T(11) = normpdf(T(4),0,1);
T(12) = T(11)/y(20)/y(13);
T(13) = T(9)-y(20)*params(2)*T(12);
T(14) = T(6)*T(13);
T(15) = T(10)-params(2)*normcdf(T(4)-y(13),0,1);
T(16) = 1-T(6)*T(15);
T(17) = T(8)+y(10)*(1-normcdf(T(2),0,1))-params(2)*T(8);
T(18) = 1-T(7)*T(17);

end
