function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = bgg_rbc.static_resid_tt(T, y, x, params);
end
residual = zeros(13, 1);
lhs = y(1)^params(4);
rhs = y(1)*(1+y(6))*normcdf(T(2)-y(8),0,1)*params(2)+y(3)+y(2);
residual(1) = lhs - rhs;
lhs = y(1);
rhs = y(2)+y(1)*(1-params(5));
residual(2) = lhs - rhs;
lhs = 1;
rhs = params(6)*(1+y(4));
residual(3) = lhs - rhs;
residual(4) = T(3)/(1-T(4))-T(7)*T(8)/T(10);
lhs = 1+y(6);
rhs = 1+params(4)*y(1)^(params(4)-1)-params(5);
residual(5) = lhs - rhs;
residual(6) = y(1)*T(10)-y(7);
lhs = y(7);
rhs = y(1)*(1+y(6))*(1-T(4))*params(3);
residual(7) = lhs - rhs;
lhs = y(10);
rhs = y(1)-y(7);
residual(8) = lhs - rhs;
lhs = y(9);
rhs = y(5)*T(7)*y(1)/y(10);
residual(9) = lhs - rhs;
lhs = log(y(8)/params(1));
rhs = log(y(8)/params(1))*params(7)+x(1);
residual(10) = lhs - rhs;
lhs = y(12);
rhs = y(3)+y(2);
residual(11) = lhs - rhs;
lhs = y(13);
rhs = 1-(1+y(4))/(1+y(6));
residual(12) = lhs - rhs;
lhs = y(11);
rhs = normcdf(T(2),0,1);
residual(13) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
