function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 10);

T(1) = log(y(5))+y(8)^2/2;
T(2) = T(1)/y(8);
T(3) = 1-normcdf(T(2),0,1);
T(4) = normcdf(T(2)-y(8),0,1)+y(5)*T(3);
T(5) = normpdf(T(2),0,1);
T(6) = T(5)/y(5)/y(8);
T(7) = (1+y(6))/(1+y(4));
T(8) = T(3)-T(6)*y(5)*params(2);
T(9) = T(4)-normcdf(T(2)-y(8),0,1)*params(2);
T(10) = 1-T(7)*T(9);

end
